CVE-2006-1321
CVSS4.3
发布时间 :2006-03-20 06:02:00
修订时间 :2008-09-05 17:01:36
NMCOS    

[原文]Cross-site scripting (XSS) vulnerability in webcheck before 1.9.6 allows remote attackers to inject arbitrary web script or HTML via the (1) url, (2) title, or (3) author name in a crawled page, which is not properly sanitized in the tooltips of a report.


[CNNVD]Webcheck Username 跨站脚本攻击漏洞(CNNVD-200603-338)

        在webcheck 1.9.6之前版本中存在跨站脚本攻击(XSS)漏洞,远程攻击者可通过以下途径注入任意web或HTML:(1) url,(2) title,或(3) 在抓取网页中的作者名称,它们在报告中的tooltips中未作清洁。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:webcheck:webcheck:1.9.2
cpe:/a:webcheck:webcheck:1.9.4
cpe:/a:webcheck:webcheck:1.9.5
cpe:/a:webcheck:webcheck:1.9.0
cpe:/a:webcheck:webcheck:1.9.3
cpe:/a:webcheck:webcheck:1.9.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1321
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1321
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-338
(官方数据源) CNNVD

- 其它链接及资源

http://ch.tudelft.nl/~arthur/webcheck/news.html#20060130
(PATCH)  CONFIRM  http://ch.tudelft.nl/~arthur/webcheck/news.html#20060130
http://xforce.iss.net/xforce/xfdb/25428
(UNKNOWN)  XF  webcheck-content-xss(25428)
http://www.securityfocus.com/bid/17212
(UNKNOWN)  BID  17212
http://secunia.com/advisories/19309
(UNKNOWN)  SECUNIA  19309

- 漏洞信息

Webcheck Username 跨站脚本攻击漏洞
中危 跨站脚本
2006-03-20 00:00:00 2006-03-20 00:00:00
远程  
        在webcheck 1.9.6之前版本中存在跨站脚本攻击(XSS)漏洞,远程攻击者可通过以下途径注入任意web或HTML:(1) url,(2) title,或(3) 在抓取网页中的作者名称,它们在报告中的tooltips中未作清洁。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,厂商发布了相关更新。
        Webcheck Webcheck 1.9.5
        Webcheck webcheck-1.9.6.tar.gz
        http://ch.tudelft.nl/~arthur/webcheck/webcheck-1.9.6.tar.gz

- 漏洞信息

24060
webcheck Generated Report Tooltip XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-01-30 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.9.6 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Webcheck Username HTML Injection Vulnerability
Input Validation Error 17212
Yes No
2006-03-23 12:00:00 2006-03-24 11:09:00
Reported by the vendor.

- 受影响的程序版本

Webcheck Webcheck 1.9.5
Webcheck Webcheck 1.9.6

- 不受影响的程序版本

Webcheck Webcheck 1.9.6

- 漏洞讨论


Webcheck is affected by an HTML-injection vulnerability. The application may collect data from possibly malicious websites and may generate reports containing this data.

An administrative user who views the vulnerable sections of the site would have the attacker-supplied HTML and script code executed in the context of the administrative user's browser application.

Webcheck versions prior to 1.9.6 are vulnerable.

- 漏洞利用


This issue can be exploited with a web browser.

- 解决方案


Version 1.9.6 has been released to address this issue.


Webcheck Webcheck 1.9.5

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站